/*                          -----fbuff.c-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE: istat=fbuff(iostr,&fnum)

where: istat = return status
       iostr = prompt string
       fnum  = pointer to a floating pt number

function: fbuff will take the input string iostr, strip off all leading
	  blanks and then attempt to convert the remaining string to
	  a floating pt number.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define MAXFLT 20
#define MAXLIN 132
#define EOLINE '\0'
#define FAILURE -3
#define EXITALL -2
#define QUITALL -1
#define FALSE    0
#define TRUE     1

#define ISSIGN(x) ((x)=='+'||(x)=='-' ? 1:0)
#define ISDOT(x) (((x)=='.') ? 1:0)

/* --------------------------------------------------------------------- */

int fbuff(iostr,fnum)          /* ***START FBUFF*** */
char *iostr;
float *fnum;
{
  int i,j=0,error=FALSE;
  char ch,str[MAXFLT+1],iobuff[MAXLIN];

  printf("\n%s",iostr);
  gets(iobuff);

  if(strlen(iobuff)==0)
    return(FALSE);
  else
  {
    for(i=0;(i<strlen(iobuff));i++)
      if(!isspace(iobuff[i]))
        str[j++]=iobuff[i];
    str[j]=EOLINE;

    if(stricmp(str,"exit")==0)
      return(EXITALL);
    else if(stricmp(str,"quit")==0)
      return(QUITALL);
    else if(strlen(str)==0)
      return(FALSE);
    else
    {
      for(i=0;i<strlen(str);i++)
	if(i==0)
	{
	  if( (!isdigit(str[i])) && (!ISDOT(str[i])) &&
             (!ISSIGN(str[i])) )
            error=TRUE;
	}
	else if( (!isdigit(str[i])) && (!ISDOT(str[i])) )
	  error=TRUE;

      if(error)
        return(FAILURE);
      else
      {
        *fnum=((float)(atof(str)));
        return(TRUE);
      }
    }
  }
}                           /* -----end fbuff----- */
