/*
			----- IsoFiles.c -----

Written by F.N.Zihlman
Compiler: Turbo C V2.0

USAGE: status=IsoFiles(&ioparms);

where: * status is the return status indicator of type integer
       * ioparms is a structure for the necessary parameters from
	 the user

IsoFiles will prompt for:
  * Input file name
  * Outfile name or "none"
    If the output file name is not "none":
      * Output file data format; "i" for ".ISO" output file format
        or "d" for DISCO define file format

*/

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOPARMSH
#define ISOPARMSH 1
#include "isoparms.h"
#endif

#define CLR "\033[2J"
#define TITLE "Interactive Velocity Edit Pgm V0.2"

int cbuff();
int ibuff();
int fbuff();

/* ----------------------------------------------------------------- */
int IsoFiles(ioparms)
PARAMETERS *ioparms;
{
  int istat=TRUE,i,ibuf,defaultfile=FALSE;
  float fbuf;
  char strbuf[MAXTITLE],banner[MAXTITLE],iostr[MAXTITLE],cbuf[IDLEN];

  if(istat==TRUE)
  {
    strcpy(banner,TITLE);
    printf("%s",CLR);
    for(i=0;i<=(80-(strlen(banner)))/2;i++)
      putch(' ');
    printf("%s\n\n\n",banner);

    /* -----source file name------------------------------------- */
    sprintf(iostr,"Source file [%s]: ",ioparms->srcfl);
    istat=cbuff(iostr,strbuf,MAXFLNM);
    if(istat==TRUE)
      strcpy(ioparms->srcfl,strbuf);
    else if(istat==FALSE)
      istat=TRUE;

    if((istat==TRUE)&&(((stricmp(ioparms->srcfl,"exit"))==0)||
      ((stricmp(ioparms->srcfl,"quit")==0))))
      istat=EXITIT;
  }

  /* -----output file name---------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"Output file (\"none\" for no output) [%s]: ",ioparms->deffl);
    istat=cbuff(iostr,strbuf,MAXFLNM-4);
    if(istat==TRUE)
      strcpy(ioparms->deffl,strbuf);
    else if(istat==FALSE)
    {
      istat=TRUE;
      defaultfile=TRUE;
    }

    if((istat==TRUE)&&(((stricmp(ioparms->deffl,"exit"))==0)||
      ((stricmp(ioparms->deffl,"quit")==0))))
      istat=EXITIT;
  }

  /* -----output data format---------------------------------------- */
  if((istat==TRUE)&&(stricmp(ioparms->deffl,"none")!=0))
    if(!defaultfile)
    {
      sprintf(iostr,"Output file format: i(so) or d(isco define) [%c]: ",
	      ioparms->datype);
      istat=cbuff(iostr,strbuf,1);
      if(istat==TRUE)
	ioparms->datype=tolower(strbuf[0]);
      else if(istat==FALSE)
	istat=TRUE;
      if(istat==TRUE)
      {
	if((ioparms->datype!='d')&&(ioparms->datype!='i'))
	  ioparms->datype='i';
	if(ioparms->datype=='d')
	  strcat(ioparms->deffl,".def");
	else
	  strcat(ioparms->deffl,".iso");
      }
    }
  return(istat);
}
