/*                           -----moveit.c-----

written by: F.N. Zihlman
compiler: Turbo C V2.0

USAGE: moveit(max,&x,&y,rad,buf,flag);

where: * max is the maximum movement in that direction allowed
       * x and y are the current cursor coordinates
       * rad is the cursor radius
       * buf is the buffer used in buffering the screen during cursor
	 movement
       * flag indicates the magnitude and direction of movement

function: move the cursor about the screen, buffering the background
	  as it goes.
*/

#include <graphics.h>
#define BIGMOVE 10

void moveit(max,x,y,rad,buf,DFLAG)
int max,*x,*y,rad;
unsigned * buf;
char DFLAG;
{
  int incr=1;

  switch(DFLAG)
  {
    case 'R':
      incr=BIGMOVE;
    case 'r':
      if(*x<max)
      {
	putimage(*x-rad-1,*y-rad-1,buf,AND_PUT);
	(*x)+=incr;
	getimage(*x-rad-1,*y-rad-1,*x+rad+1,*y+rad+1,buf);
	circle(*x,*y,rad);
      }
      break;

    case 'L':
      incr=BIGMOVE;
    case 'l':
      if(*x>max)
      {
	putimage(*x-rad-1,*y-rad-1,buf,AND_PUT);
	(*x)-=incr;
	getimage(*x-rad-1,*y-rad-1,*x+rad+1,*y+rad+1,buf);
	circle(*x,*y,rad);
      }
      break;

    case 'D':
      incr=BIGMOVE;
    case 'd':
      if(*y<max)
      {
	putimage(*x-rad-1,*y-rad-1,buf,AND_PUT);
	(*y)+=incr;
	getimage(*x-rad-1,*y-rad-1,*x+rad+1,*y+rad+1,buf);
	circle(*x,*y,rad);
      }
      break;

    case 'U':
      incr=BIGMOVE;
    case 'u':
      if(*y>max)
      {
	putimage(*x-rad-1,*y-rad-1,buf,AND_PUT);
	(*y)-=incr;
	getimage(*x-rad-1,*y-rad-1,*x+rad+1,*y+rad+1,buf);
	circle(*x,*y,rad);
      }
      break;

    default:
      break;
  }
}                      /* -----end moveit----- */