/*                            -----TVDisp.C-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:	TVDisp(&VP3)

where:	* VP3 is the data structure defining window used to display
	  time/velocity values

function: display time/velocity values

*/

#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOWINDSH
#define ISOWINDSH 1
#include "isowinds.h"
#endif

float IsoNewT();	/* calc new time */
float IsoNewV();	/* calc new velocity */

/* ------------------------------------------------------------------ */
void TVDisp(VP3)
WINDOW3 *VP3;
{
  char tstr[20],vstr[20];

  sprintf(vstr,"VELOCITY: %5.0f",VP3->vval);
  sprintf(tstr,"    TIME: %5.0f",VP3->tval);
  setviewport(VP3->x1,VP3->y1,VP3->x2,VP3->y2,1);
  clearviewport();
  settextjustify(LEFT_TEXT,CENTER_TEXT);
  outtextxy(VP3->tx,VP3->ty,tstr);
  outtextxy(VP3->vx,VP3->vy,vstr);
}                       /* -----end TVDisp----- */