/*                          -----VP1Plot.c -----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:	VP1Plot(&VP1)

where:	* VP1 is the data structure defining window 1

function: set up and label window 1

*/

#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOWINDSH
#define ISOWINDSH 1
#include "isowinds.h"
#endif

extern int GraphDriver,GraphMode;

/* ================================================================ */

void VP1Plot(VP1)
WINDOW1 *VP1;
{
  char str[71];

  setviewport(VP1->x1,VP1->y1,VP1->x2,VP1->y2,1);
  clearviewport();

  rectangle(VP1->x1,VP1->y1,VP1->x2,VP1->y2);             /* DRAW BOX */
  rectangle(VP1->boxx1,VP1->boxy1,VP1->boxx2,VP1->boxy2);

  settextjustify(CENTER_TEXT,CENTER_TEXT);               /* PLACE TITLES */
  settextstyle(SMALL_FONT,HORIZ_DIR,MAGFACTOR);
  outtextxy(VP1->title1.tx,VP1->title1.ty,VP1->title1.titl);
  outtextxy(VP1->title2.tx,VP1->title2.ty,VP1->title2.titl);

  outtextxy(VP1->xaxis.pt1x,VP1->xaxis.pt1y,VP1->xaxis.pt1); /* X AXIS */
  outtextxy(VP1->xaxis.pt2x,VP1->xaxis.pt2y,VP1->xaxis.pt2);
  outtextxy(VP1->xaxis.tic1x,VP1->xaxis.tic1y,"|");
  outtextxy(VP1->xaxis.tic2x,VP1->xaxis.tic2y,"|");
  outtextxy(VP1->xaxis.lx,VP1->xaxis.ly,VP1->xaxis.label);

  settextjustify(LEFT_TEXT,CENTER_TEXT);
  outtextxy(VP1->yaxis.pt1x,VP1->yaxis.pt1y,VP1->yaxis.pt1); /* Y AXIS */
  outtextxy(VP1->yaxis.pt2x,VP1->yaxis.pt2y,VP1->yaxis.pt2);
  outtextxy(VP1->yaxis.tic1x,VP1->yaxis.tic1y,"-");
  outtextxy(VP1->yaxis.tic2x,VP1->yaxis.tic2y,"-");
  settextstyle(SMALL_FONT,VERT_DIR,0);
  outtextxy(VP1->yaxis.lx,VP1->yaxis.ly,VP1->yaxis.label);

}