/*                            -----VP2Plot.C-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:	VP2Plot(&VP2,&ioparms,&datain)

where:	* VP2 is the data structure defining window 2
	* ioparms is the data structure defining the I/O parameters
	* datain is thedata structure containing the input data

function: set up and label window 2

*/

#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOPARMSH
#define ISOPARMSH 1
#include "isoparms.h"
#endif

#ifndef ISOWINDSH
#define ISOWINDSH 1
#include "isowinds.h"
#endif

#ifndef ISOTVH
#define ISOTVH 1
#include "isotv.h"
#endif

extern int GraphDriver,GraphMode;

/* ============================================================= */

void VP2Plot(VP2,ioparms,datain)
WINDOW2    *VP2;
PARAMETERS *ioparms;
TVDATA     *datain;
{
  int i,j,x,y,cirrad;


  cirrad=VP2->twth/2;

  /* -----Set up viewport 2------------------------------------- */
  setviewport(VP2->x1,VP2->y1,VP2->x2,VP2->y2,1);
  clearviewport();

  for(j=0;j<ioparms->recsread;j++)
  {
    x=VP2->xcoords[j];

    for(i=0;i<datain->numread;i++)
    {
      if((datain->tv[i][0]>=ioparms->tmin)&&
	 (datain->tv[i][0]<=ioparms->tmax))
      {
	y=(int)(((datain->tv[i][0]-ioparms->tmin)*
	  (((float)VP2->ymax)-((float)VP2->ymin))/
	  (ioparms->tmax-ioparms->tmin))+
	  VP2->ymin);

	if(i<1)
	  circle(x,y,cirrad);
	else
	{
	  if(datain->tv[i-1][1]>datain->tv[i][1])
	    rectangle(x-cirrad,y-cirrad,x+cirrad,y+cirrad);
	  else
	    circle(x,y,cirrad);
	}
      }
    }
    datain++;
  }
}
                         /* -----End VP2Plot----- */