/*                          -----IsoHelp.c-----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:	IsoHelp(thgt)

where:	* thgt is the current text height

function: help window

*/


#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOWINDSH
#define ISOWINDSH 1
#include "isowinds.h"
#endif

#define XPOS 100

extern int GraphDriver;
extern int GraphMode;

void IsoHelp(int thgt)
{
  int y=10;

  settextjustify(LEFT_TEXT,CENTER_TEXT);
  clearviewport();

  outtextxy(XPOS,y,"F1:         Display this info.");
  y+=thgt;
  outtextxy(XPOS,y,"F2:         Redraw the data points.");
  y+=thgt;
  outtextxy(XPOS,y,"F3:         Draw isovelocity contour lines over the data points.");
  y+=thgt;
  outtextxy(XPOS,y,"<SHIFT> F3: Draw isovelocity contour lines with no data points.");
  y+=thgt;
  outtextxy(XPOS,y,"F4:         Select a T/V point to move in time.");
  y+=thgt;
  outtextxy(XPOS,y,"<SHIFT> F4: Place a T/V point in time.");
  y+=thgt;
  outtextxy(XPOS,y,"F5:         Dump screen to the printer (CGA only).");
  y+=thgt;
  outtextxy(XPOS,y,"F6:         Write current screen to an output file.");
  y+=thgt;
  outtextxy(XPOS,y,"F7:         Edit individual velocity functions.");
  y+=thgt+2;
  outtextxy(XPOS,y," ");
  y+=thgt+2;
  outtextxy(XPOS,y,"Press any key to continue...");
  getch();
  y=10;
  clearviewport();
  moveto(XPOS,y);
  outtextxy(XPOS,y,"UP arrow:    Move cursor up one unit.");
  y+=thgt;
  outtextxy(XPOS,y,"DOWN arrow:  Move cursor down one unit.");
  y+=thgt;
  outtextxy(XPOS,y,"RIGHT arrow: Move cursor right one unit.");
  y+=thgt;
  outtextxy(XPOS,y,"LEFT arrow:  Move cursoe left one unit.");
  y+=thgt+2;
  outtextxy(XPOS,y," ");
  y+=thgt+2;
  outtextxy(XPOS,y,"U or <SHIFT> UP arrow:    Move cursor up ten units.");
  y+=thgt;
  outtextxy(XPOS,y,"D or <SHIFT> DOWN arrow:  Move cursor down ten units.");
  y+=thgt;
  outtextxy(XPOS,y,"R or <SHIFT> RIGHT arrow: Move cursor right ten units.");
  y+=thgt;
  outtextxy(XPOS,y,"L or <SHIFT> LEFT arrow:  Move cursor left ten units.");
  y+=thgt+2;
  outtextxy(XPOS,y," ");
  y+=thgt+2;
  outtextxy(XPOS,y,"Arrow keys separate from the keypad on enhanced keyboards will");
  y+=thgt;
  outtextxy(XPOS,y,"move the cursor one unit in the appropriate direction.");
  y+=thgt+2;

}/*                       -----end IsoHelp -----                   */