/*
			----- IsoParms.c -----

Written by F.N.Zihlman
Compiler: Turbo C V2.0

USAGE: status=IsoParms(&ioparms);

where: * status is the return status indicator of type integer,
       * ioparms is a structure for the necessary parameters from
	 the user

IsoParms will prompt for:
  * Start time                     (-1 for auto-select)
  * End time                       (-1 for auto-select)
  * Lowest iso line contour value  (default value available)
  * Highest iso line contour value (default value available)
  * Iso-line increment             (default value available)

*/

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef ISOPARMSH
#define ISOPARMSH 1
#include "isoparms.h"
#endif

#define CLR "\033[2J"
#define TITLE "Interactive Velocity Edit Pgm V0.2"

int cbuff();
int ibuff();
int fbuff();

/* ----------------------------------------------------------------- */
int IsoParms(ioparms)
PARAMETERS *ioparms;
{
  int istat=TRUE,i,ibuf;
  float fbuf;
  char strbuf[MAXTITLE],iostr[MAXTITLE],cbuf[IDLEN];


  printf(CLR);
  for(i=0;i<23;i++)
    putch(' ');
  printf(TITLE);
  printf("\n\ninput file in use:  %s\n",ioparms->srcfl);
  printf("output file in use: %s\n\n",ioparms->deffl);
  /* -----Starting CDP-------------------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"First CDP to display [%s]: ",ioparms->cdp1);
    istat=cbuff(iostr,cbuf,5);
    if(istat==TRUE)
      strcpy(ioparms->cdp1,cbuf);
    else if(istat==FALSE)
      istat=TRUE;
  }

  /* -----Ending CDP-------------------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"Last CDP to display [%s]: ",ioparms->cdp2);
    istat=cbuff(iostr,cbuf,5);
    if(istat==TRUE)
      strcpy(ioparms->cdp2,cbuf);
    else if(istat==FALSE)
      istat=TRUE;
  }

  /* -----Starting time value-------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"Starting time value to display [%.0f]: ",ioparms->tstart);
    istat=fbuff(iostr,&fbuf);
    if(istat==TRUE)
      ioparms->tstart=fbuf;
    else if(istat==FALSE)
      istat=TRUE;
  }

  /* -----Ending time value---------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"Ending time value to display[%.0f]: ",ioparms->tend);
    istat=fbuff(iostr,&fbuf);
    if(istat==TRUE)
      ioparms->tend=fbuf;
    else if(istat==FALSE)
      istat=TRUE;
  }

  /* -----iso-line parameters-------------------------------------- */
  if(istat==TRUE)
  {
    sprintf(iostr,"Starting iso-line velocity [%d]: ",ioparms->isolo);
    istat=ibuff(iostr,&ibuf);
    if(istat==TRUE)
      ioparms->isolo=ibuf;
    else if(istat==FALSE)
      istat=TRUE;
  }

  if(istat==TRUE)
  {
    sprintf(iostr,"Ending iso-line velocity [%d]: ",ioparms->isohi);
    istat=ibuff(iostr,&ibuf);
    if(istat==TRUE)
      ioparms->isohi=ibuf;
    else if(istat==FALSE)
      istat=TRUE;
  }

  if(istat==TRUE)
  {
    sprintf(iostr,"Iso-line velocity increment [%d]: ",ioparms->isoinc);
    istat=ibuff(iostr,&ibuf);
    if(istat==TRUE)
      ioparms->isoinc=ibuf;
    else if(istat==FALSE)
      istat=TRUE;
  }

  return(istat);
}