/*                            -----IsoTV.c-----

Written by F.N.Zihlman
compiler: Turbo C V2.0

USAGE: istat=IsoTV(iobuf,&t,&v)

where: 1) istat is the return status of type int
       2) iobuf is the input buffer array of type char
       3) t and v are of type float

FUNCTION: IsoTV is passed the input buffer and the address of the time
          and velocity variables t and v from the IsoRead function.
	  Iobuf is parsed into character strings which are converted into
	  the floating pt values and assigned to t and v.  If the
	  conversion is successful, a return of TRUE is assigned to
	  istat.
*/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

#define TRUE 1
#define FALSE 0
#define NUMLEN 7

/* ----------------------------------------------------------------- */

int IsoTV(char iobuf[], float *t, float *v)
{
  int ichar=0,ilen,istat,i,i2;
  char ctime[NUMLEN+1],cvel[NUMLEN+1];

  ilen=strlen(iobuf);

  while((iobuf[ichar]==' ')||(iobuf[ichar]=='\t'))
    ichar++;
  if(ichar==ilen)
    return(istat=FALSE);
  else
  {
    for(i=ichar,i2=0;((i<ilen)&&(i2<NUMLEN)&&((isalnum(iobuf[i]))||(iobuf[i]=='.')));i++,i2++)
      ctime[i2]=iobuf[i];
    ctime[i2]='\0';

    for(;((i<ilen)&&((iobuf[i]==' ')||(iobuf[i]=='\t')));i++);
    if((i>=ilen)||(iobuf[i]=='\n')||(iobuf[i]=='\r'))
      return(istat=FALSE);
    for(i2=0;((i<ilen)&&(i2<NUMLEN)&&((isalnum(iobuf[i]))||(iobuf[i]=='.')));i++,i2++)
      cvel[i2]=iobuf[i];
    cvel[i2]='\0';

    *t=atof(ctime);
    *v=atof(cvel);
    return(istat=TRUE);
  }
}                        /* -----end IsoTV----- */

