/*                          -----Ved1Plot.c -----

written by F.N. Zihlman
compiler: Turbo C V2.0

USAGE:	Ved1Plot(&Ved1)

where:	* Ved1 is the data structure defining window 1 for displaying/
	  editing individual velocity functions

function: set up and label window 1

*/


#include <stdio.h>
#include <graphics.h>

#ifndef ISODEFSH
#define ISODEFSH 1
#include "isodefs.h"
#endif

#ifndef VEDWINDSH
#define VEDWINDSH 1
#include "vedwinds.h"
#endif

extern int GraphDriver,GraphMode;

/* ================================================================ */

void Ved1Plot(Ved1)
VEDPORT1 *Ved1;
{
  char str[71];

  setviewport(Ved1->x1,Ved1->y1,Ved1->x2,Ved1->y2,1);
  clearviewport();

  rectangle(Ved1->x1,Ved1->y1,Ved1->x2,Ved1->y2);             /* DRAW BOX */
  rectangle(Ved1->boxx1,Ved1->boxy1,Ved1->boxx2,Ved1->boxy2);

  settextjustify(CENTER_TEXT,CENTER_TEXT);               /* PLACE TITLES */
  settextstyle(SMALL_FONT,HORIZ_DIR,MAGFACTOR);
  outtextxy(Ved1->title1.tx,Ved1->title1.ty,Ved1->title1.titl);
  outtextxy(Ved1->title2.tx,Ved1->title2.ty,Ved1->title2.titl);

  outtextxy(Ved1->xaxis.pt1x,Ved1->xaxis.pt1y,Ved1->xaxis.pt1); /* X AXIS */
  outtextxy(Ved1->xaxis.pt2x,Ved1->xaxis.pt2y,Ved1->xaxis.pt2);
  outtextxy(Ved1->xaxis.tic1x,Ved1->xaxis.tic1y,"|");
  outtextxy(Ved1->xaxis.tic2x,Ved1->xaxis.tic2y,"|");
  outtextxy(Ved1->xaxis.lx,Ved1->xaxis.ly,Ved1->xaxis.label);

  settextjustify(LEFT_TEXT,CENTER_TEXT);
  outtextxy(Ved1->yaxis.pt1x,Ved1->yaxis.pt1y,Ved1->yaxis.pt1); /* Y AXIS */
  outtextxy(Ved1->yaxis.pt2x,Ved1->yaxis.pt2y,Ved1->yaxis.pt2);
  outtextxy(Ved1->yaxis.tic1x,Ved1->yaxis.tic1y,"-");
  outtextxy(Ved1->yaxis.tic2x,Ved1->yaxis.tic2y,"-");
  settextstyle(SMALL_FONT,VERT_DIR,0);
  outtextxy(Ved1->yaxis.lx,Ved1->yaxis.ly,Ved1->yaxis.label);

}                /* -----end Ved1Plot----- */